using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
namespace ConsoleApplication1
{
    class Program
    {
        static int brCifara(int x)
        {
            int br=0;
            while (x>0)
            {
                x /= 10;
                br++;
            }
            return br;
        }
        static void Main()
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int novi_broj = 0;
            int broj_cifara_X = brCifara(x) , broj_cifara_Y= brCifara(y);
            int minBr= Math.Min(broj_cifara_Y, broj_cifara_X);
            int stepen = 1;
            while (minBr>0)
            {
                if (x%10!=y%10)
                {
                    novi_broj += Math.Max(x % 10, y % 10) * stepen;
                }
                else
                {
                    novi_broj += (x%10)*stepen;
                    stepen *= 10; ;
                    novi_broj += (y % 10) * stepen;
                }
                x /= 10;
                y /= 10;
                stepen *= 10;
                minBr--;
                

            }
            int a = brCifara(novi_broj);
            if (x!=0)
            {
                
                novi_broj += x * (int)Math.Pow(10,a);
            }
            if (y!=0)
            {
                novi_broj += y * (int)Math.Pow(10,a);
            }
            Console.WriteLine(novi_broj);
        }
        
       
    }
}